@import "../color";
@import "./dark/spinner";

.loader,
.loader:before,
.loader:after {
    border-radius: 50%;
}
.loader {
    color: #ffffff;
    font-size: 0.15em;
    text-indent: -99999em;
    position: absolute;
    top: 2.5em;
    left: 50%;
    width: 10em;
    height: 10em;
    box-shadow: inset 0 0 0 4px;
    transform: translateZ(0) translateX(-50%);
}
.loader:before,
.loader:after {
    position: absolute;
    content: '';
}
.loader:before {
    width: 5.2em;
    height: 10.2em;
    border-radius: 10.2em 0 0 10.2em;
    top: -0.1em;
    left: -0.1em;
    transform-origin: 5.2em 5.1em;
    animation: load2 2s infinite ease 1.5s;
}
.loader:after {
    width: 5.2em;
    height: 10.2em;
    border-radius: 0 10.2em 10.2em 0;
    top: -0.1em;
    left: 5.1em;
    transform-origin: 0px 5.1em;
    animation: load2 2s infinite ease;
}
@-webkit-keyframes load2 {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
@keyframes load2 {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.loader-info {
    @extend .loader;

    &:before {
        background: $color-info-light;
    }
    &:after {
        background: $color-info-light;
    }
}

.loader-success {
    @extend .loader;

    &:before {
        background: $color-success-light;
    }
    &:after {
        background: $color-success-light;
    }
}

.loader-danger {
    @extend .loader;

    &:before {
        background: $color-danger-light;
    }
    &:after {
        background: $color-danger-light;
    }
}